# TdApi.UpdateChatTitle

Package it.ernytech.tdlib

## Class TdApi.UpdateChatTitle

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateChatTitle

Enclosing class:
  TdApi

    public static class TdApi.UpdateChatTitle
    extends TdApi.Update

The title of a chat was changed.

### Field Summary

Fields
`long` `chatId` Chat identifier.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `title` The new chat title.

### Constructor Summary

Constructors
`UpdateChatTitle()` Default constructor.
`UpdateChatTitle​(long chatId, java.lang.String title)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier.

#### title

    public java.lang.String title

The new chat title.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateChatTitle

    public UpdateChatTitle()

Default constructor.

#### UpdateChatTitle

    public UpdateChatTitle​(long chatId,
                           java.lang.String title)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier.
  `title` - The new chat title.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR